#!/bin/bash

ADDR=minerback.heltec.cn
TMPSTR=`ping ${ADDR} -c 1 | sed '1{s/[^(]*(//;s/).*//;q}'`
if [ "$TMPSTR" = "" ]
then
echo $ADDR
exit
fi
echo heltec ip: ${TMPSTR}
localip=$(ifconfig eth0 | grep netmask | awk '{print $2}')
if [ "$localip" = "" ]
then 
	echo no ip ,exit
	exit
fi

echo local ip : $localip
file="/root/mytestnode/frp_0.37.1_linux_arm64/frpc.ini"
old_s_addr=$(cat $file | grep server_addr | awk '{print $3}')
serveraddr=$(cat /root/mytestnode/serveraddr)
echo server ip : $serveraddr
old_l_addr=$(cat $file | grep local_ip | awk '{print $3}')
sed -i "s/$old_l_addr/$localip/g" $file
sed -i "s/$old_s_addr/$serveraddr/g" $file

file="/usr/local/etc/v2ray/config.json"
old_v2_serveraddr=$(cat $file | grep address | awk -F\" '{print $4}')

sed -i "s/$old_v2_serveraddr/$serveraddr/g" $file


iptables -t nat -A OUTPUT -d $TMPSTR -j RETURN
iptables -t nat -A OUTPUT -d $serveraddr -j RETURN
iptables -t nat -A OUTPUT -d 172.16.0.0/12 -j RETURN
iptables -t nat -A OUTPUT -d 10.0.0.0/8 -j RETURN
iptables -t nat -A OUTPUT -d 192.168.0.0/16 -j RETURN
iptables -t nat -A OUTPUT -d 127.0.0.0/8 -j RETURN
iptables -t nat -A OUTPUT -p tcp -j  REDIRECT --to-port=12345

systemctl restart v2ray
sleep 2

/root/mytestnode/frp_0.37.1_linux_arm64/frpc -c /root/mytestnode/frp_0.37.1_linux_arm64/frpc.ini &
